C ---------------------------------------------------------------------
C     CALL LABEL(CHR)						      |
C								      |
C     bgqCup̃tHgŃx	      |
C ---------------------------------------------------------------------
      SUBROUTINE LABEL ( CHR )

      IMPLICIT	INTEGER*4 (I-N)
      IMPLICIT	REAL*4 (A-H,O-Z)
      INTEGER*2 IPC(20)
      INTEGER*4 CLEN
      REAL*4	X(20),Y(20)
      CHARACTER CHR*(*)
      CHARACTER CPLT*50

      COMMON/PLT_LIB2/ISTL,IPLT,ISU,IGON,ICLIP,IPENC,RATIO
      COMMON/PLT_LIB3/IPEN,IGPEN,LINSTL,IGLINSTL,CS,DIR,LORG
      COMMON/PLT_LIB4/IGWX1,IGWX2,IGWY1,IGWY2,IPWX1,IPWX2,IPWY1,IPWY2
      COMMON/PLT_LIB6/WX1,WX2,WY1,WY2,UX1,UX2,UY1,UY2
      COMMON/PLT_LIB7/POSX,POSY
      COMMON/PLT_LIB8/ICH,IBD,IDD,ISD,IPD,CPLT

      IF (CS.EQ.0.0) RETURN
      RDIR=3.141592654/180.0*DIR

      IF (ISU.EQ.2) THEN
	GPOSX=(POSX-UX1)/(UX2-UX1)*100.0*RATIO
	GPOSY=(POSY-UY1)/(UY2-UY1)*100.0
      ELSE
	GPOSX=POSX
	GPOSY=POSY
      END IF
      IF (IPLT.EQ.1) THEN
	CALL GLINSTL(10)
      ELSE
	CPLT='LT;'
	CALL PLIB_PLOTOUT
      END IF

      ICLEN=CLEN(CHR)
      RCLEN=REAL(ICLEN)
      DO 100 I=1,ICLEN
	ICODE=ICHAR(CHR(I:I))
	CALL PLIBFONT(ICODE,I,X,Y,IPC,IN)
	DO 110 J=1,IN
	  X0=X(J)
	  Y0=Y(J)
	  IF (LORG.EQ.2) THEN
	    Y0=Y0-0.85
	  ELSE IF (LORG.EQ.3) THEN
	    Y0=Y0-1.70
	  ELSE IF (LORG.EQ.4) THEN
	    X0=X0-RCLEN/2.0
	  ELSE IF (LORG.EQ.5) THEN
	    X0=X0-RCLEN/2.0
	    Y0=Y0-0.85
	  ELSE IF (LORG.EQ.6) THEN
	    X0=X0-RCLEN/2.0
	    Y0=Y0-1.70
	  ELSE IF (LORG.EQ.7) THEN
	    X0=X0-RCLEN
	  ELSE IF (LORG.EQ.8) THEN
	    X0=X0-RCLEN
	    Y0=Y0-0.85
	  ELSE IF (LORG.EQ.9) THEN
	    X0=X0-RCLEN
	    Y0=Y0-1.70
	  ELSE
	  END IF
	  X0=X0*CS
	  Y0=Y0*CS
	  IF (DIR.EQ.0.0) THEN
	    XX=X0+GPOSX
	    YY=Y0+GPOSY
	  ELSE IF (DIR.EQ.90.0 ) THEN
	    XX=-Y0+GPOSX
	    YY=X0+GPOSY
	  ELSE
	    XX=X0*COS(RDIR)-Y0*SIN(RDIR)+GPOSX
	    YY=X0*SIN(RDIR)+Y0*COS(RDIR)+GPOSY
	  END IF
	  IC=IPC(J)
	  IF (IPLT.EQ.1) RC=REAL(IGWY2-IGWY1)/100.0
	  IF (IPLT.NE.1) RC=REAL(IPWY2-IPWY1)/100.0
	  IX=NINT(RC*XX)
	  IY=NINT(RC*YY)
	  IF (IPLT.EQ.1) THEN
	    IF (IC.EQ.0) CALL GMOVE(IX+IGWX1,IY+IGWY1)
	    IF (IC.EQ.1) CALL GDRAW(IX+IGWX1,IY+IGWY1)
	  ELSE
	    IF (IC.EQ.0) WRITE(CPLT,'(A2,I6,I6,A1)') 'PU',IX,IY,';'
	    IF (IC.EQ.1) WRITE(CPLT,'(A2,I6,I6,A1)') 'PD',IX,IY,';'
	    CALL PLIB_PLOTOUT
	  END IF
  110	CONTINUE
  100 CONTINUE
      GPOSY=GPOSY-CS*COS(RDIR)*1.5
      GPOSX=GPOSX+CS*SIN(RDIR)*1.5
      IF (ISU.EQ.1) THEN
	POSX=GPOSX
	POSY=GPOSY
      ELSE
	POSX=GPOSX/(100.0*RATIO)*(UX2-UX1)+UX1
	POSY=GPOSY/100.0*(UY2-UY1)+UY1
      END IF
      IPENC=0
      CALL MOVE(POSX,POSY)
      CALL LINETYPE(LINSTL)

      RETURN
      END
